$bail-primary: #0e2133;
$bail-secondary: #3bafda;
$bail-warn: #fcc229;

$dark-primary-text: rgba(black, 0.87);
$light-primary-text: white;

$mat-bail-primary: (
  50: darken($bail-primary, 25),
  100: darken($bail-primary, 20),
  200: darken($bail-primary, 15),
  300: darken($bail-primary, 10),
  400: darken($bail-primary, 5),
  500: $bail-primary,
  600: lighten($bail-primary, 5),
  700: lighten($bail-primary, 10),
  800: lighten($bail-primary, 15),
  900: lighten($bail-primary, 20),
  A100: darken($bail-primary, 15),
  A200: darken($bail-primary, 5),
  A400: lighten($bail-primary, 5),
  A700: lighten($bail-primary, 15),
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
);

$mat-bail-secondary: (
  50: darken($bail-secondary, 25),
  100: darken($bail-secondary, 20),
  200: darken($bail-secondary, 15),
  300: darken($bail-secondary, 10),
  400: darken($bail-secondary, 5),
  500: $bail-secondary,
  600: lighten($bail-secondary, 5),
  700: lighten($bail-secondary, 10),
  800: lighten($bail-secondary, 15),
  900: lighten($bail-secondary, 20),
  A100: darken($bail-secondary, 15),
  A200: darken($bail-secondary, 5),
  A400: lighten($bail-secondary, 5),
  A700: lighten($bail-secondary, 15),
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
);

$mat-bail-warn: (
  50: darken($bail-warn, 25),
  100: darken($bail-warn, 20),
  200: darken($bail-warn, 15),
  300: darken($bail-warn, 10),
  400: darken($bail-warn, 5),
  500: $bail-warn,
  600: lighten($bail-warn, 5),
  700: lighten($bail-warn, 10),
  800: lighten($bail-warn, 15),
  900: lighten($bail-warn, 20),
  A100: darken($bail-warn, 15),
  A200: darken($bail-warn, 5),
  A400: lighten($bail-warn, 5),
  A700: lighten($bail-warn, 15),
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
);
